Package org.codehaus.plexus.util.dag

# Class TopologicalSorter

java.lang.Object
org.codehaus.plexus.util.dag.TopologicalSorter

public class TopologicalSorter extends Object

Author:
  Michal Maczka

## Constructor Summary

Constructors
Constructor
Description
`TopologicalSorter()`

## Method Summary

Modifier and Type
Method
Description
`static List<String>`
`sort(DAG graph)`
`static List<String>`
`sort(Vertex vertex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TopologicalSorter

public TopologicalSorter()

## Method Details

### sort

public static List<String> sort(DAG graph)

Parameters:
  `graph` - the graph
Returns:
  List of String (vertex labels)

### sort

public static List<String> sort(Vertex vertex)